Subject: Re: bug#38031: 26.3; Trying to invoke the macOS File Open window causes Emacs to crash on macOS Catalina

From: Michael Dixon <[email-masked]>
Date: Thu, 5 Dec 2019 20:57:49 -0500

> On Dec 5, 2019, at 6:20 AM, Michael Dixon <[email-masked]> wrote:
> 
> Some more info on this one.
> 
> I’m built my own Emacs from the latest source, and get the same issue.
> 
> One potential problem I’ve read is that having my Documents folder on iCloud could cause a problem, but I don’t do that either.
> 
> I also tried Emacs Mac Port ( https://lists.gnu.org/archive/html/emacs-devel/2019-12/msg00104.html <https://lists.gnu.org/archive/html/emacs-devel/2019-12/msg00104.html>) and got an interesting result:
> 
> File > Open and the toolbar do not cause a crash, however, clicking on the “open a file” link in the splash screen causes a Mac beach ball that I can only solve by forcing a quit.

And adding even more context: I trie downgrading to Mojave, and had no issues with it at all, related to clicking on the Toolbar, File > Open, or the Open a File link on the splash page.